Non-sensitive readiness summary
GET
/v1/health
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.feitpay.com/v1/health"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.feitpay.com/v1/health';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.feitpay.com/v1/healthResponses
Section titled “Responses”Service is ready.
Media typeapplication/json
object
status
required
string
environment
required
Platform state reported by the API; production when live payments are switched on platform-wide.
string
production_enabled
required
boolean
test_mode_enabled
required
false on this platform: every API key and every payment is live.
boolean
version
required
string
checks
required
object
key
additional properties
string
Example
{ "status": "ok", "environment": "sandbox", "checks": { "additionalProperty": "ok" }}A dependency is unavailable.
Media typeapplication/json
object
status
required
string
environment
required
Platform state reported by the API; production when live payments are switched on platform-wide.
string
production_enabled
required
boolean
test_mode_enabled
required
false on this platform: every API key and every payment is live.
boolean
version
required
string
checks
required
object
key
additional properties
string
Example
{ "status": "ok", "environment": "sandbox", "checks": { "additionalProperty": "ok" }}